CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Developing
* Roadmap
* FAQ
* Maintainers


INTRODUCTION
------------

Conditional message client is designed to work together with conditional message
module in a server/client architecture.

REQUIREMENTS
------------

This module does not depend on any other module, including conditional message.


INSTALLATION
------------

Install like any other module. Visit the documentation for details:
https://www.drupal.org/node/895232


CONFIGURATION
-------------

1. Navigate to Administration > Modules and enable the module.
2. Navigate to Administration > Configuration > User Interface > Conditional
   Message.
3. Enter the URL of the site that will act as server.
6. Save configuration.

All the configurations will have to be made on the server site using the
conditional message module.


DEVELOPING
----------

Bug reports or feature requests should be made in drupal.org issue queue.
Patches are welcome!


ROADMAP
-------

* Integration with localization modules.
* Support for several messages on several conditions.
* Display message as modal.
* Provide hooks to expand functionality.
* Integration with context module.
* Integration with rules module.
* Integration with scheduler module.
* Display desktop notifications.
* Use a message template for front-end customization.


FAQ
---

Q: How does it work behind the scenes?

A: This module inserts a very small JavaScript snippet into every page that
consults a non-cached callback path via AJAX. The callback path provides
information if the message should be displayed or not (other checks are made in
the front-end using JavaScript). If the message should be displayed, the snippet
inserts the message into the page dynamically via JS.

Q: How does the option "once per session" really works?

A: It uses javascript's localStorage to store session data. The data persists
after closing the tab or window and will persist until the browser cache is
cleared or when the "Reset sessions" button is clicked.

Q: How does the module checks for content types?

A: The content types are checked via JS by searching in the body tag a class
that corresponds to "node-type-[your content type]".


MAINTAINERS
-----------

* William Ranvaud (wranvaud) - https://www.drupal.org/user/1058108
